#if !defined(TARC_H)
#define TARC_H

/****************************************************************************/
/** \class TArc
    \brief TArc
*****************************************************************************/
class TArc  
{
public:
   static TArc* getInstance();

protected:
	TArc();

private:
   static TArc* _instance;

public:
	virtual ~TArc();

private:
   int arc360;
   int arc180;

   float m_sin[361];
   float m_cos[361];
   float m_tan[361];

public:
   float getSin(int w) ;
   float getCos(int w) ;
   float getTan(int w) ;
   int norm(int w);

private:
   float grad2rad(float grad);
};
#endif // !defined(TARC_H)
